#
%include	/usr/lib/rpm/macros.perl
#
Summary:	Simple configuration storage and query system
Summary(pl.UTF-8):	Prosty system przechowywania i odpytywania konfiguracji
Name:		xfconf
Version:	4.10.0
Release:	3
License:	GPL v2
Group:		Libraries
Source0:	http://archive.xfce.org/xfce/4.10/src/%{name}-%{version}.tar.bz2
# Source0-md5:	4ed48150a03fb5f42b455494307b7f28
URL:		http://www.xfce.org/projects/xfconf
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	perl-ExtUtils-Depends >= 0.3
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.0
BuildRequires:	perl-Glib-devel >= 1.224-2
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xfce4-dev-tools >= 4.10.0
Obsoletes:	libxfce4mcs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfconf is a simple configuration storage and query system.

%description -l pl.UTF-8
Xfconf jest prostym systemem przechowywania i odpytywania
konfiguracji.

%package devel
Summary:	Header files for Xfconf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Xfconf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 1.0.0
Requires:	dbus-glib-devel >= 0.72
Requires:	glib2-devel >= 1:2.18.0
Obsoletes:	libxfce4mcs-devel
Obsoletes:	xfce-mcs-manager-devel

%description devel
Header files for Xfconf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Xfconf.

%package apidocs
Summary:	Xfconf API documentation
Summary(pl.UTF-8):	Dokumentacja API Xfconf
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	libxfce4mcs-apidocs

%description apidocs
Xfconf API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Xfconf.

%package -n perl-Xfce4-Xfconf
Summary:	Perl interface to the Xfce4 Xfconf
Summary(pl.UTF-8):	Interfejs perlowy do Xfce4 Xfconf
Group:		Development/Languages/Perl
Requires:	perl-Glib >= 1.020

%description -n perl-Xfce4-Xfconf
Perl interface to the Xfce4 Xfconf.

%description -n perl-Xfce4-Xfconf -l pl.UTF-8
Interfejs perlowy do Xfce4 Xfconf.

%prep
%setup -q

%build
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with-perl-options="INSTALLDIRS=vendor" \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Xfce4/Xfconf/.packlist

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/xfconf-query
%attr(755,root,root) %{_libdir}/libxfconf-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfconf-0.so.2
%dir %{_libdir}/xfce4/xfconf
%attr(755,root,root) %{_libdir}/xfce4/xfconf/xfconfd
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfconf-0.so
%{_includedir}/xfce4/xfconf-0
%{_pkgconfigdir}/libxfconf-0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/xfconf

%files -n perl-Xfce4-Xfconf
%defattr(644,root,root,755)
%attr(755,root,root) %{perl_vendorarch}/auto/Xfce4/Xfconf/Xfconf.so
%dir %{perl_vendorarch}/Xfce4
%{perl_vendorarch}/Xfce4/Xfconf.pm
%dir %{perl_vendorarch}/Xfce4/Xfconf
%{perl_vendorarch}/Xfce4/Xfconf/Install
%dir %{perl_vendorarch}/auto/Xfce4
%dir %{perl_vendorarch}/auto/Xfce4/Xfconf
%{perl_vendorarch}/auto/Xfce4/Xfconf/*.bs
%{_mandir}/man3/Xfce4::Xfconf.3pm*
%changelog
* Tue Jun 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfconf.git;a=log;h=master

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> eff8a4f
- no need to rebuild ac/am
- rel 3

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4a4b7c5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 60eac37
- static lib dropped

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> c287f57
- xfce 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 88b981f
- 4.10.0

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 5064787
- perl-Glib -> perl-Glib-devel >= 1.224-2
- rel 3

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> f85f6f9
- rel 2

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> fe5bb15
- merged from DEVEL

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> e0083b7
- BR: docbook-dtd412-xml, intltool

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 081ee7a
- rel 3
- properly remove a directory

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 2ea7f0b
- rel 2
- no ur_PK locale

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 075572c
- 4.6.2

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b0c2d7e
- release 2

* Mon Apr 27 2009 Adam Gołębiowski <adamg@pld-linux.org> 52ac0e2
- updated to 4.6.1

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 3203216
- release 2

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 844386a
- %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml moved to xfconf

* Sat Feb 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 3e32f69
- added O: libxfce4mcs-* xfce-mcs-manager-devel

* Fri Feb 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 045e9f1
- own %{_sysconfdir}/xdg/xfce4/xfconf

* Fri Feb 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 403787e
- new

